.background {
  background-image: url(https://images.unsplash.com/photo-1530292172808-dd5ec705f6ed?ixlib=rb-1.2.1&ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&auto=format&fit=crop&w=1950&q=80);

  // https://images.unsplash.com/photo-1530292172808-dd5ec705f6ed?ixlib=rb-1.2.1&ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&auto=format&fit=crop&w=1950&q=80
  /* Center and scale the image nicely */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

  position: absolute;
  top: 0;
  left: 0;

  /* Preserve aspet ratio */
  min-width: 100%;
  min-height: 100%;
}


.container {
  max-width: 1480px;
  padding: 24px 88px;
}

.main-container {
  display: table;
  table-layout: fixed;
  width: 100%;
}

mat-card {
  max-width: 800px;
  min-width: 400px;
  max-height: 500px;
  min-height: 500px;
  margin: 2em auto;
}

.image {
  height: 180px;
  width: 180px;
  border-radius: 10px;
  margin-left: 60px;
}

:host ::ng-deep .mat-list-item-content {
  justify-content: center;
}

.icon {
  margin-right: 10px;
}

.profile-description {
  color: rgb(77, 77, 77);
  font-size: 16px;
  letter-spacing: 2px;
}

:host ::ng-deep .mat-card-footer {
  margin: 25px 0;
  display: flex;
  justify-content: center;
}

.top-cell {
  display: inline-flex;
}

.top-cell-right {
  width: 400px;
}

.top-cell-left-content {
  background-color: var(--background-secondary);
  border-radius: 4px;
  padding: 16px;
}

.no-content {
  text-align: center;
  font-size: 25px;
  position: absolute;
  font-family: ui-monospace;
  margin: 105px;
  padding-top: 150px;
  color: darkgrey;
}

.buttons {
  justify-content: center;
}

.profile-title {
  color: rgb(77, 77, 77);
  font-size: 16px;
  letter-spacing: 2px;
}

.profile-playlists {
  color: rgb(77, 77, 77);
  font-size: 14px;
  letter-spacing: 2px;
}

.scrolling-wrapper {
  overflow-x: hidden;
  overflow-y: scroll;
  white-space: nowrap;
  max-height: 350px;

  mat-list-item {
    display: inline-block;
  }

  -webkit-overflow-scrolling: touch;

  &::-webkit-scrollbar {
    display: none;
  }
}

:host h2 {
  margin-bottom: 1.7rem;
}

.user-playlists {
  margin-top: -20px;
  margin: 0;
  padding: 0;
  overflow: hidden;
  align-items: center;
  box-sizing: content-box;
}

.user-playlists-header {
  background-color: rgba(0, 0, 0, 0);
  margin-top: 10px;
  height: 56px;
  position: relative;
  text-align: left;
  user-select: none;
  width: 100%;
  color: rgb(77, 77, 77);

  letter-spacing: 2px;
  border-bottom: solid 1px lightgrey;
}

.user-playlist-title-header {
  width: 550px;
  font-size: 15px;
  text-align: left;
}

.user-playlist-duration-header {
  width: 80px;
  font-size: 15px;
  text-align: center;
  margin-left: -100px;
}

.user-playlist-item {
  background-color: rgba(0, 0, 0, 0);
  margin-top: 10px;
  height: 56px;
  position: relative;
  text-align: left;
  user-select: none;
  width: 100%;
  transition-duration: .15s;
  transition-property: background-color, color;

  border-bottom: solid 1px lightgrey;
}

.user-playlist-item:hover {
  background-color: rgba(146, 145, 145, 0.26);

}

.user-playlist-item-photo {
  height: 40px;
  justify-content: center;
  width: 40px;
  display: block;
  position: relative;
  background-color: rgba(0, 0, 0, 0);
  border-radius: 5px;
}

:host img.photo {
  display: inline-block;
  vertical-align: top;
  height: 40px;
  width: 40px;
  border-radius: 5px;
}

.user-playlist-item-title {
  padding-left: 25px;
  width: 550px;
  overflow-x: hidden;
}

a.title {
  font-size: 17px;
  text-decoration: none;
  color: black;
  width: 100%;
}

a.title:active {
  text-decoration: none;
}

.user-playlist-item-duration {
  margin-left: 50px;
  width: 80px;
}

.duration {
  font-size: 17px;
  width: 100%;
}

.user-playlist-item-options {
  margin-left: 50px;
  width: 50px;
}

.options {
  color: rgb(44, 43, 43);
  transition: 0.5 ease;
  position: middle;
}
